
// $Id: TaskBarDialog.cpp,v 1.4 2012/11/22 22:25:33 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

/*!
  \file TaskBarDialog.cc
  \brief edit task taskbar informations
  \author Hugo Pereira
  \version $Revision: 1.4 $
  \date $Date: 2012/11/22 22:25:33 $
*/

#include "Debug.h"
#include "TaskBarConfiguration.h"
#include "TaskBarDialog.h"



//______________________________________________
TaskBarDialog::TaskBarDialog( QWidget* parent, const TaskBarAttributes& attributes ):
  CustomDialog( parent )
{
  Debug::Throw( "TaskBarDialog::TaskBarDialog.\n" );
  mainLayout().addWidget( taskbarConfiguration_ = new TaskBarConfiguration( this, attributes ) );
}
