#ifndef SeparatorPixmap_h
#define SeparatorPixmap_h


// $Id: SeparatorPixmap.h,v 1.5 2012/12/20 10:07:16 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include "Counter.h"
#include "CustomPixmap.h"
#include "TaskBarAttributes.h"

//! taskbar separator
class SeparatorPixmap: public CustomPixmap
{

    public:

    //! constructor
    SeparatorPixmap(
        int width,
        int height,
        TaskBarAttributes::Layout = TaskBarAttributes::Horizontal );

    //! constructor
    SeparatorPixmap( QPixmap pixmap ):
        CustomPixmap( pixmap )
        {}

    //! destructor
    virtual ~SeparatorPixmap( void )
    {}

};

#endif
